package com.atlassian.stash.internal.web.soy.functions.nav;

import com.atlassian.soy.renderer.JsExpression;
import com.atlassian.bitbucket.nav.NavBuilder;

public class PullRequestCreateNavFunction extends BaseRepoNavFunction {

    public PullRequestCreateNavFunction(NavBuilder navBuilder) {
        super(navBuilder, "nav_create_pull", 2);
    }

    @Override
    protected JsNavBuilder initJsBuilder(JsExpression... jsExpressions) {
        return repo(jsExpressions).createPullRequest().withParamsIfAvailable(jsExpressions, 2);
    }

    @Override
    protected NavBuilder.Builder initBuilder(Object... args) {
        return repo(args).createPullRequest();
    }
    
}
